ISE Simulator Error 222: SuSE 10.1 Linux

To fix the error you can also patch the xsim.h file under the Xilinx installation directory and use your brand new gcc 4.1 that ships with Suse

10.1

Bye, Antonio.

Reply to
Antonio Di Bacco
Loading thread data ...

Can you please give me more details?

Mehdi

Reply to
El-Mehdi Taileb

ISE uses the version of gcc that it comes with to build simulators. (For me at least :)

[inchoate 7:54] ~/work/fpga/SA >file SA_test2_v_isim_beh.exe SA_test2_v_isim_beh.exe: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.2.5, dynamically linked (uses shared libs), for GNU/Linux 2.2.5, not stripped [inchoate 7:55] ~/work/fpga/SA >uname -a FreeBSD inchoate.localdomain 7.0-CURRENT FreeBSD 7.0-CURRENT #0: Sat Jan 13 20:45:34 CST 2007 snipped-for-privacy@inchoate.localdomain:/usr/src/sys/i386/compile/INCHOATE i386 [inchoate 7:56] ~/work/fpga/SA >$XILINX/gnu/gcc/3.2.3/lin/bin/gcc -v Reading specs from /usr/local/Xilinx/gnu/gcc/3.2.3/lin/bin/../lib/gcc-lib/i686-pc-linux-gnu/3.2.3/specs Configured with: /var/tmp/gcc-3.2.3-20030829/configure --prefix=/tools/gcc/3.2.3

--enable-languages=c,c++,objc Thread model: posix gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-14)

--
Daniel O'Connor software and network engineer
for Genesis Software - http://www.gsoft.com.au
 Click to see the full signature
Reply to
Daniel O'Connor

ElectronDepot website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.